List inbox incoming documents
Scope: inbox:inbox.read https://api.alladdin.com/api/v2/inbox
Returns a cursor-paginated list of incoming documents in your inbox.
Optional filters: status (comma-separated list of statuses: new, processing, error, pending_to_verify, done, rejected), start_date/end_date (ISO 8601 date range on creation date), user_id (comma-separated user IDs).
Results are ordered by creation date descending (newest first). Pass cursor from the previous response to fetch the next page.
Parameters
Query parameters
cursor string optional
Opaque pagination cursor from the previous response
limit integer optional = 50
Number of items per page. Defaults to 50, maximum 200.
status string optional
Comma-separated statuses to filter by (e.g. pending_to_verify,done)
start_date string<date-time> optional
Filter documents created on or after this ISO 8601 date
end_date string<date-time> optional
Filter documents created on or before this ISO 8601 date
user_id string optional
Comma-separated user IDs to filter by uploader
Request
import requests
url = "https://api.alladdin.com/api/v2/inbox?cursor=value&limit=50&status=value"
headers = {
"Authorization": "Bearer YOUR_API_KEY",
"Accept": "application/json",
}
response = requests.get(url, headers=headers)
print(response.json())Responses
Response
{
"items": [
{
"id": "string",
"status": "pending_to_verify",
"origin": {
"id": "string",
"name": "string",
"type": "upload",
"source": "string"
},
"document_number": "string",
"type": "invoice",
"outcome": {
"documentId": "string",
"documentNumber": "string",
"type": "string",
"isDraft": false,
"exportedAt": "2024-01-15T10:30:00Z",
"attached": false
},
"date": "2024-01-15T10:30:00Z",
"contact_name": "string",
"total": "100,00",
"file": {
"filename": "string",
"path": "string"
},
"thumbnail": "string",
"signature": {
"filename": "string",
"path": "string"
},
"scanned_at": "string",
"seen_at": "string",
"errors": [
"string"
],
"draft": {
"description": "string"
}
}
],
"cursor": "string",
"has_more": false
}Success responses
200 List of incoming documents application/json object items[] object[] id string
Unique identifier of the incoming document
status string
Current status
Enum: new processing error pending_to_verify done rejected origin object
Origin metadata
document_number string | null
Document number extracted from the file
type string | null
Document type
Enum: invoice salesreceipt creditnote purchase order purchaseshipment salesorder receipt purchaserefund estimate waybill proform receiptnote invoicerecurring purchaserecurring payroll payrollrecurring amazonorder productionorder invoicingforecast `` outcome object | null
Linked document outcome if the document has been processed
date string<date-time>
Creation date in ISO 8601 format
contact_name string | null
Name of the associated contact
total string | null
Total amount as decimal string
file object | null
Primary file associated with the document
thumbnail string | null
Thumbnail URL (reserved for future use)
signature object | null
Certified digitization signature file
scanned_at string | null
Date the document was scanned (ISO 8601)
seen_at string | null
Date the document was first seen (ISO 8601)
errors[] string[]
List of error codes if the scan failed
draft object
Draft metadata extracted from the document
cursor string | null has_more boolean
Error responses
401 Invalid or missing API key application/json 403 Insufficient permissions application/json 429 Rate limit exceeded application/json
